<?php 

function fx_css_url($css_url){
    return FX_URL . "/static/css/{$css_url}.css";
}

function fx_js_url($js_url){
    return FX_URL . "/static/js/{$js_url}.js";
}
function fx_scripts(){
    wp_enqueue_style( 'fx', fx_css_url('style'), array(), FX_VERSION );
    wp_enqueue_script('jquery');
    wp_enqueue_script( 'fx',  fx_js_url('fx'), array(), FX_VERSION,true );
    wp_localize_script( 'fx', 'fx_ajax_url', array(
        'ajax_url' => admin_url('admin-ajax.php'),     
		'swfurl' => fx_css_url('Jplayer.swf'),
		'jplayerurl' => fx_js_url('jquery.jplayer.min'),
		'nonce' =>wp_create_nonce('bigfa')
    ));
	
	
}
add_action('wp_enqueue_scripts', 'fx_scripts', 20, 1);
add_action( 'admin_enqueue_scripts', 'fx_setting_scripts' );
    function fx_setting_scripts(){
	 global $pagenow;
	if( $pagenow == "post-new.php" || $pagenow == "post.php"){
   
wp_enqueue_style( 'fxedit', fx_css_url('edit'), array(), FX_VERSION ); 
           wp_enqueue_script( 'fxedit',  fx_js_url('post'), array(), FX_VERSION,true );
     
	
	}
	}
add_action('media_buttons_context', 'xiami_custom_button');
function xiami_custom_button($context) {
    $context .= '<input class="js-search-input" placeholder="搜索虾米音乐"><div class="js-search-results"></div>';
    return $context;
}

add_shortcode('xiami', 'fancy_xiami_shortcode');
function fancy_xiami_shortcode( $atts, $content = null ) {

	extract( shortcode_atts( array(

            'auto' => '',
			'type' => ''

        ),

        $atts ) );
	$class = ($auto && !wp_is_mobile()) ? " auto" : "";	
	$type = $type ? 'netease' : 'xiami';
    return '<div class="pivot-audio fontSmooth'.$class.'" songid="'
    . do_shortcode( $content ) . '" data-type="'.$type.'"><div class="xiami-cover"><div class="play-button"><i class="fxfont"></i></div></div><div class="play-prosess"><div class="play-prosess-bar"></div></div><div class="play-timer">--:--</div><div class="audio-player"><div class="audio-name"></div><div class="audio-author"></div></div><div class="audio-jplayer"></div></div>';
}

global $fxjson;


if(!isset($fxjson)){
	$fxjson = new fxjson();
}

add_action( 'wp_ajax_nopriv_fxjson', 'fancy_fxjson_callback' );
add_action( 'wp_ajax_fxjson', 'fancy_fxjson_callback' );
function fancy_fxjson_callback() {
	global $fxjson;

	$id = $_GET['id'];
	$type = $_GET['type'];
	$song = ($_GET['type'] == 'netease') ? $fxjson->netease_song($id) : $fxjson->song($id);
	$result = array(
		'msg' => 200,
		'song' => $song
	);

	header('Content-type: application/javascript');
	echo json_encode($result);
	exit;
}